Error
A valid request URL is required to generate request examples{
"message": "<string>",
"business_unit": {
"id": "<string>",
"name": "<string>",
"source_id": "<string>",
"profile": {},
"config": {},
"claims": {},
"budget_id": "<string>",
"rate_limit_id": "<string>",
"budget": {
"id": "<string>",
"max_limit": 123,
"reset_duration": "<string>",
"last_reset": "2023-11-07T05:31:56Z",
"current_usage": 123,
"config_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"calendar_aligned": false,
"team_id": "<string>",
"virtual_key_id": "<string>",
"provider_config_id": 123
},
"rate_limit": {
"id": "<string>",
"token_current_usage": 123,
"token_last_reset": "2023-11-07T05:31:56Z",
"request_current_usage": 123,
"request_last_reset": "2023-11-07T05:31:56Z",
"config_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"token_max_limit": 123,
"token_reset_duration": "<string>",
"request_max_limit": 123,
"request_reset_duration": "<string>"
},
"config_hash": "<string>",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Governance
Create business unit governance
Configures budget and/or rate limit governance for a business unit. At least
one of budget or rate_limit is required. Returns 409 if the business unit
already has governance configured (use PUT to update).
POST
/
api
/
governance
/
business-units
/
{id}
/
governance
Error
A valid request URL is required to generate request examples{
"message": "<string>",
"business_unit": {
"id": "<string>",
"name": "<string>",
"source_id": "<string>",
"profile": {},
"config": {},
"claims": {},
"budget_id": "<string>",
"rate_limit_id": "<string>",
"budget": {
"id": "<string>",
"max_limit": 123,
"reset_duration": "<string>",
"last_reset": "2023-11-07T05:31:56Z",
"current_usage": 123,
"config_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"calendar_aligned": false,
"team_id": "<string>",
"virtual_key_id": "<string>",
"provider_config_id": 123
},
"rate_limit": {
"id": "<string>",
"token_current_usage": 123,
"token_last_reset": "2023-11-07T05:31:56Z",
"request_current_usage": 123,
"request_last_reset": "2023-11-07T05:31:56Z",
"config_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"token_max_limit": 123,
"token_reset_duration": "<string>",
"request_max_limit": 123,
"request_reset_duration": "<string>"
},
"config_hash": "<string>",
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Path Parameters
Business unit ID
Body
application/json
Was this page helpful?
⌘I

